{
	"format_version": "1.10.0",
	"minecraft:client_entity": {
		"description": {
			"identifier": "ldz:poster_support",
			"materials": {
				"default": "entity_alphatest"
			},
			"geometry": {
				"default": "geometry.poster_support"
			},
			"textures": {
				"skin_id_0": "textures/entity/poster/support_ldz_a",
				"skin_id_1": "textures/entity/poster/support_ldz_b"
			},
			"animations": {
				"east": "animation.poster.east",
				"north": "animation.poster.north",
				"west": "animation.poster.west"
			},
			"scripts": {
				"initialize": [
					"variable.duration = 500;",
					"variable.anim = 0;"
				],
				"pre_animation": [
					"variable.anim = variable.anim > variable.duration ? 0 : variable.anim + 1;"
				],
				"animate": [
					{
						"west": "query.variant == 1"
					},
					{
						"north": "query.variant == 2"
					},
					{
						"east": "query.variant == 3"
					}
				]
			},
			"render_controllers": [
				"controller.render.poster_support"
			]
		}
	}
}